Skip to content
No description, website, or topics provided.
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
doc Initial commit Nov 1, 2018
src [Fix #3] Make deps.ancient usable from lein Nov 3, 2018
test/deps_ancient Initial commit Nov 1, 2018
.gitignore deploy with deps.edn Nov 1, 2018
CHANGELOG.md Initial commit Nov 1, 2018
LICENSE Initial commit Nov 1, 2018
README.md [Fix #3] Make deps.ancient usable from lein Nov 3, 2018
deploy.sh deploy with deps.edn Nov 1, 2018
deps.edn [Fix #1] Read all relevant deps.edn Nov 1, 2018
pom.xml Prepare for next release Nov 3, 2018

README.md

Clojars Project

deps-ancient

deps-ancient is a small wrapper around ancient-clj which tells you if your deps.edn contains outdated deps.

Usage

Merge the following into your deps.edn

{:ancient {:main-opts ["-m" "deps-ancient.deps-ancient"]
           :extra-deps {deps-ancient {:mvn/version "RELEASE"}}}}

Or, if you're somewhat something, merge this to your project.clj

{:plugins [[deps-ancient "0.0.4"]]}

and run lein deps ancient to check your deps.edn files

Inspiration

Thanks to @pmonks for asking for this on the Clojurians #leiningen channel

License

Copyright © 2018 Erik Assum

Distributed under the Eclipse Public License either version 1.0 or (at your option) any later version.

You can’t perform that action at this time.